//
//  ViewController.m
//  WallpaperBrowser
//
//  Created by Main Account on 10/31/13.
//  Copyright (c) 2013 Razeware LLC. All rights reserved.
//

#import "MainViewController.h"
#import "PaperViewController.h"
#import "RWTWallpaperService.h"

@interface MainViewController()<RWWallpaperServiceDelegate>

@property (weak, nonatomic) IBOutlet UILabel *sliderLabel;
@property (weak, nonatomic) IBOutlet UISlider *slider;
@property (weak, nonatomic) IBOutlet UIButton *goButton;
@property (weak, nonatomic) IBOutlet UILabel *titleLabel;
@property (weak, nonatomic) IBOutlet UILabel *instructionsLabel;
@property (strong, nonatomic) UIActivityIndicatorView * activityView;
@property (strong, nonatomic) RWTWallpaperService * rwService;

@end

@implementation MainViewController

-(void) viewWillAppear:(BOOL)animated
{
    
}

-(void) showNetworkActivity: (BOOL) active
{
    if (!self.activityView)
    {
        self.activityView = [[UIActivityIndicatorView alloc] initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleWhiteLarge];
        [self.activityView setFrame:CGRectMake((self.view.frame.size.width/2)-(self.activityView.frame.size.width/2), (self.view.frame.size.height/2)-(self.activityView.frame.size.height/2), self.activityView.frame.size.width, self.activityView.frame.size.height)];
        [self.view addSubview:self.activityView];
        
    }
    self.activityView.hidden = !active;
    [UIApplication sharedApplication].networkActivityIndicatorVisible = active;
    if (active)
    {
        [self.activityView startAnimating];
    }
    else
    {
        [self.activityView stopAnimating];
    }
}

#pragma mark - IBActions

- (IBAction)sliderValueChanged:(UISlider *)slider {
    self.sliderLabel.text = [NSString stringWithFormat:@"%d", (int)slider.value];
}

- (IBAction)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    
    if ([segue.identifier isEqualToString:@"GoToPaper"]) {
        PaperViewController * paperViewController = (PaperViewController *) segue.destinationViewController;
        paperViewController.monthToShow = self.sliderLabel.text.intValue;
    }
}

-(IBAction)close:(UIStoryboardSegue *)segue { }

- (IBAction)goTapped:(id)sender {
    if (!self.rwService)
    {
        self.rwService  = [[RWTWallpaperService alloc] init];
        self.rwService.delegate = self;
    }
    self.rwService.wallpaperID = self.sliderLabel.text.intValue;
    [self showNetworkActivity:YES];
    [self.rwService connect];
}

-(void) denyAccess:(NSError *)error
{
    [self showNetworkActivity:NO];
    UIAlertView * alert = [[UIAlertView alloc] initWithTitle:@"Access Denied"
                                                     message:@"Show me the benjamins and I'll show you the goods"
                                                    delegate:nil
                                           cancelButtonTitle:@"OK"
                                           otherButtonTitles:nil];
    [alert show];
}

-(void) allowAccess
{
    [self showNetworkActivity:NO];
    [self performSegueWithIdentifier:@"GoToPaper" sender:self];
}


@end
