//
//  PaperViewController.m
//  WallpaperBrowser
//
//  Created by Main Account on 10/31/13.
//  Copyright (c) 2013 Razeware LLC. All rights reserved.
//

#import "PaperViewController.h"
#import "RWTWallpaper.h"

static int const RWTotalWallperMonths = 12;

@interface PaperViewController()

@property (strong, nonatomic) NSMutableArray *wallpaper;
@property (weak, nonatomic) IBOutlet UIImageView *imageView;

@end

@implementation PaperViewController

#pragma mark - Lifecycle

-(instancetype) initWithCoder:(NSCoder *)aDecoder{
    self = [super initWithCoder:aDecoder];
    if (self) {
        _wallpaper = [NSMutableArray arrayWithCapacity:RWTotalWallperMonths];
        NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
        [dateFormatter setDateFormat:@"MMMM"];
        for (int i = 0; i < RWTotalWallperMonths; ++i) {
            NSString *imageName = [NSString stringWithFormat:@"%02d.jpg", i+1];
            RWTWallpaper *wallpaperMonth = [[RWTWallpaper alloc] initForMonth:[dateFormatter monthSymbols][i] wallpaper:[UIImage imageNamed:imageName] artist:@"Vicki Wenderlich"];
            [_wallpaper addObject:wallpaperMonth];
        }
    }
    return self;
}

- (void)viewWillAppear:(BOOL)animated {
    RWTWallpaper * wallpaperMonth = self.wallpaper[self.monthToShow];
    self.imageView.image = wallpaperMonth.wallpaper;
}

@end
